using System;

namespace ConsoleApp2
{
    class Program
    {
        static void Main(string[] args)
        {
            string line = Console.ReadLine();
            int n = int.Parse(line.Split()[0]);
            int m = int.Parse(line.Split()[1]);
            int[] druzoljibivost = new int[n];
            int[,] prijatelji_neprijatelji = new int[n, 2];
            int sreca=0;
            for (int i = 0; i < n; i++)
                druzoljibivost[i] = int.Parse(Console.ReadLine());
            for (int i = 0; i < m; i++)
            {
                line = Console.ReadLine();
                int a = int.Parse(line.Split()[0]);
                int b = int.Parse(line.Split()[1]);
                if (druzoljibivost[a - 1] <= 0 || druzoljibivost[b - 1] <= 0)
                {
                    prijatelji_neprijatelji[a - 1, 1]++;
                    prijatelji_neprijatelji[b - 1, 1]++;
                }
                else
                {
                    prijatelji_neprijatelji[a - 1, 0]++;
                    prijatelji_neprijatelji[b - 1, 0]++;
                }
            }
            for (int i = 0; i < n; i++)
            {
                sreca += druzoljibivost[i] * (prijatelji_neprijatelji[i, 0] - prijatelji_neprijatelji[i, 1]);
            }
            Console.WriteLine(sreca);
        }
        
        
    }
}